service_list | - | - | Returns a list of the s in the current . |
service_get | - | - | Returns detailed information about a . |
| service_id | ✓ | The unique identifier of the (10-character alphanumeric string). |
| with_password | - | Set to true to include the password in the response and connection string. WARNING: never do this unless the user explicitly requests the password. |
service_create | - | - | Create a new in . WARNING: creates billable resources. |
| name | - | Set the human-readable name of up to 128 characters for this . |
| addons | - | Set the array of addons to enable for the . Options: time-series: enables ai: enables the AI and vector extensions Set an empty array for -only. |
| region | - | Set the AWS region to deploy this in. |
| cpu_memory | - | CPU and memory allocation combination. Available configurations are: - shared/shared
- 0.5 CPU/2 GB
- 1 CPU/4 GB
- 2 CPU/8 GB
- 4 CPU/16 GB
- 8 CPU/32 GB
- 16 CPU/64 GB
- 32 CPU/128 GB
|
| replicas | - | Set the number of high-availability replicas for fault tolerance. |
| wait | - | Set to true to wait for the to be fully ready before returning. |
| timeout_minutes | - | Set the timeout in minutes to wait for to be ready. Only used when wait=true. Default: 30 minutes |
| set_default | - | By default, the new is the default for following commands in . Set to false to keep the previous as the default. |
| with_password | - | Set to true to include the password for this in response and connection string. WARNING: never set to true unless user explicitly requests the password. |
service_fork | - | - | Fork an existing to create a new independent copy. WARNING: creates billable resources. |
| service_id | ✓ | The unique identifier of the to fork (10-character alphanumeric string). |
| fork_strategy | ✓ | Fork strategy: NOW: fork at the current database stateLAST_SNAPSHOT:fork at last existing snapshot. This is the faster optionPITR: create a point-in-time recovery. You must also set the target_time parameter for PITR forks.
|
| target_time | - | Set the target time for a PIRT fork_strategy in RFC3339 format. For example 2025-01-15T10:30:00Z). |
| name | - | Set the human-readable name for the forked . Defaults to {source-service-name}-fork. |
| cpu_memory | - | CPU and memory allocation combination. Inherits from source if not specified. Available configurations are: - shared/shared
- 0.5 CPU/2 GB
- 1 CPU/4 GB
- 2 CPU/8 GB
- 4 CPU/16 GB
- 8 CPU/32 GB
- 16 CPU/64 GB
- 32 CPU/128 GB
|
| wait | - | Set to true to wait for the forked to be fully ready before returning. Default: false. |
| timeout_minutes | - | Set the timeout in minutes to wait for forked to be ready. Only used when wait=true. Default: 30 minutes |
| set_default | - | By default, the forked is set as the default for following commands in . Set to false to keep the previous as the default. |
| with_password | - | Set to true to include the password for the forked in response and connection string. WARNING: never set to true unless user explicitly requests the password. |
service_update_password | - | - | Update the password for the tsdbadmin for this . The password change takes effect immediately and may terminate existing connections. |
| service_id | ✓ | The unique identifier of the you want to update the password for. |
| password | ✓ | The new password for the tsdbadmin user. |
db_execute_query | - | - | Execute a single SQL query against a . This command returns column metadata, result rows, affected row count, and execution time. Multi-statement queries are not supported. WARNING: can execute destructive SQL including INSERT, UPDATE, DELETE, and DDL commands. |
| service_id | ✓ | The unique identifier of the . Use tiger_service_list to find IDs. |
| query | ✓ | The SQL query to execute. Single statement queries are supported. |
| parameters | - | Query parameters for parameterized queries. Values are substituted for the $n placeholders in the query. |
| timeout_seconds | - | The query timeout in seconds. Default: 30. |
| role | - | The role/username to connect as. Default: tsdbadmin. |
| pooled | - | Use connection pooling. This is only available if you have already enabled it for the . Default: false. |